summary refs log tree commit diff
path: root/git-new-section
diff options
context:
space:
mode:
authorgennyble <gen@nyble.dev>2023-11-23 14:15:40 -0600
committergennyble <gen@nyble.dev>2023-11-23 14:15:40 -0600
commitc5111b3482bd867e13b1d835c9779765dff73d4f (patch)
treeb95662e34012e26cd9a3c536466908a0a7d2d193 /git-new-section
download🌦-c5111b3482bd867e13b1d835c9779765dff73d4f.tar.gz
🌦-c5111b3482bd867e13b1d835c9779765dff73d4f.zip
init :)
Diffstat (limited to 'git-new-section')
-rwxr-xr-xgit-new-section28
1 files changed, 28 insertions, 0 deletions
diff --git a/git-new-section b/git-new-section
new file mode 100755
index 0000000..d276f43
--- /dev/null
+++ b/git-new-section
@@ -0,0 +1,28 @@
+#! /usr/bin/env bash
+#
+# usage:
+# git new-section section
+# 
+# example:
+# git new-section games
+# creates: user@remote:games/
+#
+# modified from a script by Akshay on
+# <https://peppe.rs/posts/self-hosting_git/>
+
+HOST=gen@quartet
+CGIT_ROOT=git
+
+if [ $# -eq 0 ]; then
+    echo "requires an arg"
+    exit 1
+fi
+
+IBlack="\033[0;90m"
+White="\033[0;37m"
+Yellow="\033[0;33m"
+Reset="\033[0m"
+
+echo -en "${IBlack}"
+ssh $HOST mkdir "$CGIT_ROOT/$1";
+echo -e "${White}section '$1' created"